//-----------------------------------------
// LScript Generic template
//
// Copyright 2010 Michael Green
// mike@mikegreen.name
//
// This script imports position data from a text file of the form
// minutes:seconds,X,Y,Z and applies it to the selected item.
myversion=1.1;
// 1.1 -- Added the ability to keep adding values, so rotation/scale etc will work as long as they're CSV too. 

@version 2.2
@warnings
@script generic
// global values go here

generic
{
	myitem=Scene().firstSelect();
	if(!myitem)
		error("Please select an item");
	mymotion=getdir(MOTIONSDIR)+"\\motion.csv";
	mymotion=recall("File",mymotion);
    // perform all processing here

    reqbegin("MG Import CSV motion v"+myversion);

    c0 = ctlfilename("CSV file",mymotion,100,1);
//     c1 = ctlnumber("Number Control",1.0);
//     c2 = ctlstring("String Control","my string");
//     c3 = ctlcheckbox("Checkbox Control",true);
//     c4 = ctlpopup("Popup control",1,@"Item 1","Item 2","Item 3"@);
//     c5 = ctlchoice("Choice Control",1,@"X","Y","Z"@);

    return if !reqpost();
    // get requester control values here
    myfilename=getvalue(c0);
    if(myfilename)
    	store("File",myfilename);

    reqend();
    myfile=File(myfilename,"r");
    if(!myfile)
    	error("Please select a file");

    while(!myfile.eof())
    {
		myline=myfile.read();
		mybits=parse(",",myline);
		mybits.trunc();
		mytime=parse(":",mybits[1]);
		mytimesecs=mytime[1].asNum()*60+mytime[2].asNum();
		mychannel=myitem.firstChannel();
		i=2;
		while(i<=mybits.size()&& mychannel)
		{
			mychannel.createKey(mytimesecs,mybits[i].asNum());
			mychannel=myitem.nextChannel();
			i++;
		}
	}
	myfile.close();
}